define({"74":{y:0,u:"../Content/Operations/Introduction_Ingest.htm",l:-1,t:"Ingestion",i:0.00142667730802923,a:"Ingestion brings media into Media Server so that it can be processed.  For example, if you ingest video then Media Server must extract the video and audio from the container and decode the streams so that they can be analyzed and transcoded. Your configuration must include exactly one ingest task. ..."},"75":{y:0,u:"../Content/Operations/Introduction_Analysis.htm",l:-1,t:"Analysis",i:0.00142667730802923,a:"A configuration can contain any number of analysis tasks. For example, you can run face detection and object recognition at the same time. The following example includes a single analysis task named OCR. The task uses the OCR analysis engine: ..."},"76":{y:0,u:"../Content/Operations/Introduction_Transform.htm",l:-1,t:"Transform",i:0.00142667730802923,a:"A configuration can contain any number of transformation tasks. A transformation task requires a single input, transforms the data in some way (and might change its schema), and produces a single output. For example, you can use a transformation task to resize keyframes extracted by keyframe ..."},"77":{y:0,u:"../Content/Operations/Introduction_Encoding.htm",l:-1,t:"Encoding",i:0.00142667730802923,a:"A configuration can contain any number of encoding tasks. For example: [Session]\nEngine0=Ingest\nEngine1=MyRollingBuffer\n\n[MyRollingBuffer]\nType=rollingbuffer\n// rolling buffer configuration This example specifies a single encoding task named MyRollingBuffer. An encoding engine accepts image and/or ..."},"78":{y:0,u:"../Content/Operations/Introduction_Output.htm",l:-1,t:"Output",i:0.00142667730802923,a:"Usually a configuration contains at least one output task. The following example includes an output task named IDOL: [Session]\nEngine0=Ingest\nEngine1=FaceDetect\nEngine2=FaceRecognize\nEngine3=IDOL\n\n[IDOL]\nType=IDOL\nInput=FaceRecognize.Result\n// idol engine options\n All output tasks can include the ..."},"79":{y:0,u:"../Content/Operations/ConnectTasks.htm",l:-1,t:"Example Configuration",i:0.00142667730802923,a:"The following diagram shows a simple configuration for performing OCR on a video stream and sending the results to IDOL Server. The setup includes an ingest engine, an analysis engine, and an output engine. These are usually the minimum required for any configuration. Media Server receives a Process ..."},"80":{y:0,u:"../Content/Operations/ConnectTasks_Advanced.htm",l:-1,t:"Example Configuration - Advanced",i:0.00142667730802923,a:"The following diagram shows a  more complex configuration, which includes an encoding task and multiple analysis tasks. Media Server receives a Process action, which starts a new session. The Video ingest engine receives video from the source specified in the action. It produces an image track and ..."},"81":{y:0,u:"../Content/Getting_Started/ValidateTaskConfig.htm",l:-1,t:"Validate a Task Configuration File",i:0.00142667730802923,a:"You can use the action ValidateProcessConfig to check for errors in a task configuration file. To validate a task configuration file Send the action ValidateProcessConfig to Media Server, including one of the following parameters: For example, to validate the configuration facedetect.cfg, which is ..."},"82":{y:0,u:"../Content/Operations/Partial_Configs.htm",l:-1,t:"Partial Configurations",i:0.00142667730802923,a:"A session configuration can include a group of useful tasks from another file, called a partial configuration. This means that you can build groups of related tasks and re-use them in different places, or move a complex sequence of operations into a separate file. A partial configuration has a ..."},"83":{y:0,u:"../Content/Getting_Started/MediaSupportedFeatures.htm",l:-1,t:"Image and Video Processing",i:0.00263936779059436,a:"Image and Video Processing This section shows which Media Server features are supported for different types of media. Image includes single image files and images that are extracted from documents such as PDF files. Video includes video files and video streams. "},"84":{y:0,u:"../Content/Operations/Ingest/DescribeMedia.htm",l:-1,t:"Determine whether Media Server can Ingest Media",i:0.00142667730802923,a:"Media Server can analyze a media file or stream and return information about whether it can be ingested. To determine whether Media Server can Ingest a File or Stream Run the action DescribeMedia. For example: /action=DescribeMedia\u0026source=./media/my_video.ts Media Server returns information about ..."},"85":{y:0,u:"../Content/Operations/Start_Session.htm",l:-1,t:"Start Processing",i:0.00445840351444205,a:"To start processing, send the process action to Media Server. Media Server adds your request to the process action queue. When the request reaches the top of the queue and a thread is available, Media Server starts to ingest the media and perform the configured tasks.  To start processing Send the ..."},"86":{y:0,u:"../Content/Operations/Verify_Processing.htm",l:-1,t:"Verify Media Server is Processing",i:0.00142667730802923,a:"You can run the action GetLatestRecord to verify that Media Server is processing media. This action returns the latest records that have been added to the tracks you specify in the action. For example, send the following action: http://localhost:14000/action=GetLatestRecord\n                          ..."},"87":{y:0,u:"../Content/Operations/Monitor_Progress.htm",l:-1,t:"Monitor Progress",i:0.00142667730802923,a:"You can use the QueueInfo action to monitor the progress of Media Server as it processes a file (but not a stream). For example, send the following action: http://localhost:14000/action=QueueInfo\n                                  \u0026QueueName=process\n                                  ..."},"88":{y:0,u:"../Content/Operations/Stop_Session.htm",l:-1,t:"Stop Processing",i:0.00203302254931179,a:"When you process a  file, the process action finishes when Media Server reaches the end of the file.  However, you might be processing a video stream that does not end. In this case, you might want to stop processing.  To stop processing video Use the QueueInfo action, with the following parameters: ..."},"89":{y:0,u:"../Content/Getting_Started/SyncLatestTraining.htm",l:-1,t:"Synchronize with the Latest Training",i:0.00950921564895549,a:"Some analysis operations require training. When you train Media Server the training is added to the database, but is not used for analysis until Media Server has synchronized with the database. Synchronization loads the data into memory and makes it ready for use. Synchronization is necessary so ..."},"90":{y:0,u:"../Content/Getting_Started/ParallelProcessingAnalysis.htm",l:-1,t:"Optimize Analysis Performance with Parallel Processing",i:0.00142667730802923,a:"Media Server can use multiple threads to perform some analysis tasks on video. (If your source media is a single image or document, Media Server always uses one thread for each analysis task). Using multiple threads allows Media Server to process multiple video frames simultaneously. You might want ..."},"91":{y:0,u:"../Content/Getting_Started/OptimizeImageThroughput.htm",l:-1,t:"Optimize Performance when Processing Images",i:0.00142667730802923,a:" When Media Server begins an analysis task it might have to load information. For example, if you start processing and your configuration includes OCR, Media Server must load language data for the languages that you have chosen. You can optimize performance  by configuring Media Server to load the ..."},"92":{y:0,u:"../Content/Operations/Ingest/_Ingest.htm",l:-1,t:"Ingest Media",i:0.00142667730802923,a:"Ingest Media Before you can start processing media, you must create a configuration that defines which operations to perform. This section describes how to configure Media Server to ingest media. Video Files and Streams Images and Documents Cameras and Third-Party Systems"},"93":{y:0,u:"../Content/Operations/Ingest/VideoFilesAndStreams.htm",l:-1,t:"Video Files and Streams",i:0.00183090746888427,a:"Video Files and Streams This section describes how to ingest video files and streams. When you ingest video, an ingest engine receives video input and produces demuxed and decoded streams ready for processing by other engines."},"94":{y:0,u:"../Content/Operations/Ingest/VideoSupportedFormats.htm",l:-1,t:"Supported Audio and Video Codecs and Formats",i:0.00203302254931179,a:"This page lists the audio and video codecs, and the file formats, supported by Media Server. To ingest files that use these codecs and formats, use a Video ingest task (see  Ingest Video from a File ). Other codecs and file formats might work, but they are not supported. Video Codecs MPEG1 MPEG2 ..."},"95":{y:0,u:"../Content/Operations/Ingest/Realtime.htm",l:-1,t:"Choose the Rate of Ingestion",i:0.00704905155890935,a:"Some analysis operations are resource-intensive and cannot process video frames as quickly as they can be ingested. For this reason, and because processing every frame does not necessarily improve detection performance or capture rates, analysis tasks usually do not process every frame of a video. ..."},"96":{y:0,u:"../Content/Operations/Ingest/VideoFile.htm",l:-1,t:"Ingest Video from a File",i:0.00315476900088253,a:"To ingest video from a file, follow these steps. To ingest video from a file Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, set the following configuration parameters: For example: ..."},"97":{y:0,u:"../Content/Operations/Ingest/VideoStream.htm",l:-1,t:"Ingest Video from a Stream",i:0.00203302254931179,a:"To ingest video from a stream, follow these steps. To ingest video from a stream Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, set the following configuration parameters: For example: ..."},"98":{y:0,u:"../Content/Operations/Ingest/SingleImageAndDocuments.htm",l:-1,t:"Images and Documents",i:0.00183090746888427,a:"Images and Documents This section describes how to ingest image files and documents, such as Microsoft Word or Adobe PDF files."},"99":{y:0,u:"../Content/Operations/Ingest/ImagesDocumentsIntroduction.htm",l:-1,t:"Introduction",i:0.00142667730802923,a:"Media Server uses IDOL KeyView to process images and documents. Media Server can ingest most image files, including multi-page images, and also accepts documents such as PDF files and PowerPoint presentations.  There are some differences in the way that these files are ingested: When you ingest an ..."},"100":{y:0,u:"../Content/Operations/Ingest/ImagesDocumentsSupportedFormats.htm",l:-1,t:"Supported Image and Document File Formats",i:0.00203302254931179,a:"Media Server can ingest all standard image formats:  TIFF JPEG JPEG 2000 PNG GIF (Media Server only ingests the first frame of an animated GIF) BMP (compressed BMP files are not supported) and ICO PBM, PGM, and PPM WebP Additionally, Media Server uses IDOL KeyView to support other document formats, ..."},"101":{y:0,u:"../Content/Operations/Ingest/Documents.htm",l:-1,t:"Ingest Images and Documents",i:0.00142667730802923,a:"To ingest image files or documents Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a new task by setting the EngineN parameter. You can give the task any name, for example: ..."},"102":{y:0,u:"../Content/Operations/Ingest/ImagesDocumentsOutput.htm",l:-1,t:"Output Records",i:0.00142667730802923,a:"This section describes the records that are produced when you ingest an image or document file. Image Data The image ingest engine writes image data to a track named Image_1.  The following sample XML shows a record produced when you ingest an image, multi-page image such as a TIFF file, or a ..."},"103":{y:0,u:"../Content/Operations/Ingest/CamerasVideoManagement.htm",l:-1,t:"Cameras and Third-Party Systems",i:0.00183090746888427,a:"Cameras and Third-Party Systems Media Server can ingest video from cameras and third-party video management systems."},"104":{y:0,u:"../Content/Operations/Ingest/MJPEG_HTTP.htm",l:-1,t:"Ingest MJPEG Video streamed over HTTP",i:0.00142667730802923,a:"This section describes how to ingest MJPEG video that is streamed over HTTP. To ingest MJPEG video that is streamed over HTTP Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a new ..."},"105":{y:0,u:"../Content/Operations/Ingest/MxPEG.htm",l:-1,t:"Ingest MxPEG Video from a File or Stream",i:0.00142667730802923,a:"Media Server can ingest MxPEG video (but not the audio) from a file or stream. To ingest MxPEG video Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, set the following configuration ..."},"106":{y:0,u:"../Content/Operations/Ingest/CaptureCard.htm",l:-1,t:"Ingest Video from a DirectShow Device",i:0.00142667730802923,a:"Media Server can ingest video directly from a DirectShow device, such as a video capture card or camera.  Ingestion from a DirectShow device is supported only on Windows. To ingest video from a DirectShow device Create a new configuration to send to Media Server with the process action, or open an ..."},"107":{y:0,u:"../Content/Operations/Ingest/ListDevices.htm",l:-1,t:"Obtain a List of Device Names",i:0.00142667730802923,a:"Media Server can ingest video directly from a DirectShow device, such as a video capture card or camera. This section describes how to obtain the name of your device, so that you use the name in the source action parameter, when you start the process action. Ingestion from a DirectShow device is ..."},"108":{y:0,u:"../Content/Operations/Ingest/Milestone.htm",l:-1,t:"Ingest Video from Milestone XProtect",i:0.00142667730802923,a:"Media Server can ingest live video from Milestone XProtect Enterprise and Milestone XProtect Corporate. Media Server connects to the Milestone XProtect recording server to obtain video. The  recording server requires user authentication, so you must specify a user name and password in the Media ..."},"109":{y:0,u:"../Content/Operations/Ingest/Genetec.htm",l:-1,t:"Ingest Video from Genetec Security Center",i:0.00142667730802923,a:"Media Server can ingest live video from Genetec Security Center. This feature is available only when you run Media Server on Windows. Before you begin Install the Genetec Security Center SDK, version 5.6, on the same machine as Media Server. In the [Paths] section of the Media Server configuration ..."},"110":{y:0,u:"../Content/Operations/Ingest/VMS.htm",l:-1,t:"Ingest Video from VMS",i:0.00142667730802923,a:"Media Server can ingest video from a Micro Focus Video Management Server. To ingest video from VMS Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a new task by setting the EngineN ..."},"111":{y:0,u:"../Content/Operations/Analyze/_Analyze.htm",l:-1,t:"Analyze Media",i:0.00364994319273197,a:"This section describes how to configure the analysis operations that Media Server can perform. Face Detection, Recognition, and Demographics Optical Character Recognition Image Classification Object Class Recognition Object Recognition Text Detection Number Plate Recognition Vehicle Make and Model ..."},"112":{y:0,u:"../Content/Operations/Analyze/Face.htm",l:-1,t:"Face Detection, Recognition, and Demographics",i:0.00228087804107623,a:"Face Detection, Recognition, and Demographics Media Server can run several types of face analysis including face detection and face recognition."},"113":{y:0,u:"../Content/Operations/Analyze/Face_overview.htm",l:-1,t:"Introduction",i:0.00142667730802923,a:"Face Detection detects faces and returns their location. Face Recognition identifies people by comparing detected faces to faces in your training database. After detecting faces, Media Server can also: estimate demographic information such as age, gender, and ethnicity. report information such as ..."},"114":{y:0,u:"../Content/Operations/Analyze/Face_procedure.htm",l:-1,t:"Detect Faces",i:0.00506474875572462,a:"To detect faces that appear in media, follow these steps. To detect faces in media Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a new analysis task by setting the EngineN ..."},"115":{y:0,u:"../Content/Training/Face_Introduction.htm",l:-1,t:"Train Media Server to Recognize Faces",i:0.00263936779059436,a:"To run face recognition you must train Media Server by providing images of people that you want to identify. When you run face recognition, Media Server compares the faces it detects in the image or video to the faces that you added during training. The following diagram shows how Media Server ..."},"116":{y:0,u:"../Content/Training/Face_ImageGuide.htm",l:-1,t:"Select Images for Training",i:0.00254842375959996,a:"Add one or more  training images to each face that you want to recognize. Micro Focus recommends using images that are representative of how you will use face recognition. For example, if you intend to use face recognition in a situation that is not controlled for facial expression, add several ..."},"117":{y:0,u:"../Content/Training/Face_Database.htm",l:-1,t:"Create a Database to Contain Faces",i:0.00142667730802923,a:"To create a database to contain faces, use the following procedure. To create a database to contain faces Use the CreateFaceDatabase action with the database parameter. For example: curl http://localhost:14000 -F action=CreateFaceDatabase\n                            -F database=Faces"},"118":{y:0,u:"../Content/Training/Face_Train.htm",l:-1,t:"Add a Face to a Database",i:0.00142667730802923,a:"To add a face to a database of faces, you can: Perform training in separate steps . Create a new (empty) face, then add training images, and then train Media Server, using separate actions. You can also add metadata to the face but this is an optional step. You might want to perform training in this ..."},"119":{y:0,u:"../Content/Training/Face_Train_Separate.htm",l:-1,t:"Add a Face to a Database (Using Separate Steps)",i:0.00353573263089229,a:"This section describes how to create a new (empty) face, then add training images, and then train Media Server, using separate actions. You can also add metadata to the face but this is an optional step. You might want to perform training in this way if you are building a front end application that ..."},"120":{y:0,u:"../Content/Training/Face_Train_Single.htm",l:-1,t:"Add a Face to a Database (Using a Single Action)",i:0.00353573263089229,a:"You can train Media Server to recognize a face by sending a single action (TrainFace). Running this action is equivalent to running the following actions in the following order: NewFace AddFaceImages AddFaceMetadata (optional) BuildFace The TrainFace action is atomic, so that any interruption to the ..."},"121":{y:0,u:"../Content/Training/Face_List.htm",l:-1,t:"List the Faces in a Database",i:0.00263936779059436,a:"To list the faces that you have added to a  database, and check whether training was successful, use the following procedure. To list the faces in a database (Optional) First list the databases that have been created to store faces. Use the action ListFaceDatabases: ..."},"122":{y:0,u:"../Content/Training/Face_Modify.htm",l:-1,t:"Update or Remove Faces and Databases",i:0.00142667730802923,a:"To update or remove a face use the following actions: To complete training for all faces that exist in the Media Server database but have incomplete training, use the action BuildAllFaces. To confirm that training was successful, use the action ListFaces (see  List the Faces in a Database ). To add ..."},"123":{y:0,u:"../Content/Operations/Analyze/Face_recognition.htm",l:-1,t:"Recognize Faces",i:0.00142667730802923,a:"This section describes how to create an analysis task to recognize faces that appear in media. To run face recognition, you must first detect faces by setting up a face detection task. For information about how to do this, see  Detect Faces .  To recognize faces in media Create a new configuration ..."},"124":{y:0,u:"../Content/Operations/Analyze/Face_demographics.htm",l:-1,t:"Obtain Demographic Information",i:0.00142667730802923,a:"This section describes how to obtain demographic information for detected faces.  You must first detect faces by setting up a face detection task. For information about how to do this, see  Detect Faces . To obtain demographic information for detected faces Create a new configuration to send to ..."},"125":{y:0,u:"../Content/Operations/Analyze/Face_state.htm",l:-1,t:"Analyze Facial Expression",i:0.00142667730802923,a:"This section describes how to analyze the facial expression for detected faces.  You must first detect faces by setting up a face detection task. For information about how to do this, see  Detect Faces . To analyze facial expression Create a new configuration to send to Media Server with the process ..."},"126":{y:0,u:"../Content/Operations/Analyze/Face_result_detect.htm",l:-1,t:"Face Detection Results",i:0.00506474875572462,a:"The following XML shows a single record produced by face detection. \u003coutput\u003e\n  \u003crecord\u003e\n    ...\n    \u003ctrackname\u003eFaceDetect.Result\u003c/trackname\u003e\n    \u003cFaceResult\u003e\n      \u003cid\u003e4895aeee-6a8f-44f9-915c-b86eff702118\u003c/id\u003e\n      \u003cface\u003e\n        \u003cregion\u003e\n          \u003cleft\u003e282\u003c/left\u003e\n          \u003ctop\u003e84\u003c/top\u003e\n          ..."},"127":{y:0,u:"../Content/Operations/Analyze/Face_result_recognition.htm",l:-1,t:"Face Recognition Results",i:0.00142667730802923,a:"The following XML shows a single record produced by face recognition. \u003crecord\u003e\n  ...\n  \u003ctrackname\u003efacerec.Result\u003c/trackname\u003e\n  \u003cFaceRecognitionResult\u003e\n    \u003cid\u003e69ff21d8-bc3b-44b1-9a47-1eabedb75dd0\u003c/id\u003e\n    \u003cface\u003e\n      ...\n    \u003c/face\u003e\n    \u003cidentity\u003e\n      \u003cidentifier\u003eA N Example\u003c/identifier\u003e\n      ..."},"128":{y:0,u:"../Content/Operations/Analyze/Face_result_demographics.htm",l:-1,t:"Face Demographics Results",i:0.00142667730802923,a:"The following XML shows a single record produced by face demographics analysis. \u003crecord\u003e\n  ...\n  \u003ctrackname\u003eFaceDemographics.Result\u003c/trackname\u003e\n  \u003cDemographicsResult\u003e\n    \u003cid\u003e8774d02a-dcf0-4410-b591-bd2b7d3981f5\u003c/id\u003e\n    \u003cface\u003e\n      ...\n    \u003c/face\u003e\n    \u003cethnicity\u003eCaucasian\u003c/ethnicity\u003e\n    ..."},"129":{y:0,u:"../Content/Operations/Analyze/Face_result_expression.htm",l:-1,t:"Face Expression Analysis Results",i:0.00142667730802923,a:"The following XML shows a single record produced by face expression analysis. \u003crecord\u003e\n  ...\n  \u003ctrackname\u003eFaceExpression.Result\u003c/trackname\u003e\n  \u003cFaceStateResult\u003e\n    \u003cid\u003eca444959-3609-4e06-a633-1bd95e7b3440\u003c/id\u003e\n    \u003cface\u003e\n      ...\n    \u003c/face\u003e\n    \u003cexpression\u003eNeutral\u003c/expression\u003e\n    ..."},"130":{y:0,u:"../Content/Operations/Analyze/Face_auto-enroll.htm",l:-1,t:"Automatically Enroll Unrecognized Faces",i:0.00142667730802923,a:"Media Server can automatically enroll unrecognized faces (add them to the training database). A configuration to enroll unrecognized faces is included in the Media Server installation folder (configurations/examples/Face/Enroll.cfg). It contains the following steps: Face detection, to detect all ..."},"131":{y:0,u:"../Content/Operations/Analyze/Face_auto-enroll_result.htm",l:-1,t:"Face Enrollment Results",i:0.00142667730802923,a:"The following XML shows a single record that is produced when Media Server enrolls an image of a face. \u003crecord\u003e\n   ...\n   \u003ctrackname\u003eEnrollFaces.Result\u003c/trackname\u003e\n   \u003cEnrollResult\u003e\n      \u003cid\u003e608f22bb-06ad-469f-811b-5d6cabd0db98\u003c/id\u003e\n      \u003cidentity\u003e\n         ..."},"132":{y:0,u:"../Content/Operations/Analyze/Face_optimize.htm",l:-1,t:"Optimize Face Analysis Performance",i:0.00142667730802923,a:"The quality of the image or video that you send to Media Server can have a significant effect on the performance of face analysis. To be detected, faces must exceed the minimum size specified by the MinSize parameter in your task configuration. To recognize faces and run demographics analysis and ..."},"133":{y:0,u:"../Content/Operations/Analyze/OCR.htm",l:-1,t:"Optical Character Recognition",i:0.00207876296064871,a:"Optical Character Recognition Media Server can perform Optical Character Recognition (OCR) to extract text from media. OCR makes text in images and video computer-readable, so that it can be indexed into IDOL Server and used in analysis operations."},"134":{y:0,u:"../Content/Operations/Analyze/OCR_overview.htm",l:-1,t:"Introduction",i:0.00142667730802923,a:"Media Server can run Optical Character Recognition (OCR) on images such as scanned documents and photographs of documents. You can also run OCR on video to extract subtitles and scrolling text that sometimes appears during television news broadcasts. Media Server OCR: searches images and video for ..."},"135":{y:0,u:"../Content/Operations/Analyze/OCR_config.htm",l:-1,t:"Set up an OCR Analysis Task",i:0.00142667730802923,a:"To perform OCR Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a new analysis task by setting the EngineN parameter. You can give the task any name, for example: ..."},"136":{y:0,u:"../Content/Operations/Analyze/OCR_output.htm",l:-1,t:"OCR Results",i:0.00142667730802923,a:"This section describes the format of the results produced by an OCR analysis task. Results by Line The following XML shows records from the Result track of an OCR task. The analysis engine produces one record for each line of text in the analyzed image or video frame. If you are processing a ..."},"137":{y:0,u:"../Content/Operations/Analyze/OCR_improve.htm",l:-1,t:"Improve OCR",i:0.00142667730802923,a:"To get the best results from OCR, the ingested images or video must have sufficient contrast and be in focus. The minimum height for a readable character in a high-quality image is approximately 10 pixels. In a poorer quality image, the characters must be larger. If you know that all of the text in ..."},"138":{y:0,u:"../Content/Operations/Analyze/ImageClass.htm",l:-1,t:"Image Classification",i:0.00167453279979366,a:"Image Classification Image classification classifies images or video frames. For example, you could create a classifier named vehicles and train Media Server to classify each vehicle detected by Number Plate Recognition or Scene Analysis as a car, truck, or motorcycle."},"139":{y:0,u:"../Content/Training/ImageClass_Train.htm",l:-1,t:"Train Media Server to Classify Images",i:0.00142667730802923,a:"To classify images, you must train Media Server by providing images that are representative of your chosen classes. The following diagram shows how Media Server stores information you provide during training. The \"Media Server database\" represents the   Media Server datastore file or a database on ..."},"140":{y:0,u:"../Content/Training/ImageClass_ImageGuide.htm",l:-1,t:"Training Requirements",i:0.00203302254931179,a:"Image classification uses Convolutional Neural Network (CNN) classifiers. A CNN classifier usually produces more accurate results than other types of classifier, but can require a significant amount of time to train. The time required to train a classifier is proportional to the number of training ..."},"141":{y:0,u:"../Content/Training/ImageClass_CreateClassifier.htm",l:-1,t:"Create and Train a Classifier",i:0.00142667730802923,a:"This section describes how to create and train a classifier. For more information about the actions that are discussed, refer to the  Media Server Reference. To create and train a classifier Create a new classifier with the action CreateClassifier. curl http://localhost:14000/action=CreateClassifier ..."},"142":{y:0,u:"../Content/Training/ImageClass_List.htm",l:-1,t:"List Classifiers and Classes",i:0.00263936779059436,a:"To list the classifiers that you have created, and check their status (whether they need training), use the following procedure.  To list classifiers Run the action ListClassifiers: http://localhost:14000/action=ListClassifiers\u0026trainingoptions=TRUE Media Server returns a list of classifiers that you ..."},"143":{y:0,u:"../Content/Training/ImageClass_Modify.htm",l:-1,t:"Update or Remove Classes and Classifiers",i:0.00142667730802923,a:"To update or remove a class use the following actions: To add additional training images to a class, use the action AddClassImages. After adding images to a class you must retrain the classifier using the action BuildClassifier. To confirm that training was successful, use the action ListClassifiers ..."},"144":{y:0,u:"../Content/Training/ImageClass_PreTrained.htm",l:-1,t:"Import a Classifier",i:0.0100398839334791,a:"Micro Focus may provide classifiers that you can use with Media Server to classify images. These classifiers are pre-trained, and to use one you only need to import the training data into your Media Server database. For a list of the available pre-trained classifiers, see  Pre-Trained Classifiers . ..."},});